<?php
// Requring the Library files
require 'src/facebook.php';
$applicationUrl="http://apps.facebook.com/dollarfry";
// Create our Application instance (replace this with your appId and secret).
 if (isset($_GET['code'])){
        header("Location: " . $applicationUrl);
        exit;
    }
$facebook = new Facebook(array(
  'appId'  => 'Your App Id Goes Here',
  'secret' => 'Your App Secret Goes Here',
  ));
// Get User ID
$user = $facebook->getUser();
// Login or logout url will be needed depending on current user state.
if ($user) {
  $logoutUrl = $facebook->getLogoutUrl();
} else {
  $loginUrl   = $facebook->getLoginUrl(
    array(
      'scope'         => 'user_likes,user_photo_video_tags',
     // 'redirect_uri'  => 'http://www.dollarfry.com/facebook/index.php'
      )
    );
  //echo $loginUrl; die;
}
// We may or may not have this data based on whether the user is logged in.
//
// If we have a $user id here, it means we know the user is logged into
// Facebook, but we don't know if the access token is valid. An access
// token is invalid if the user logged out of Facebook.
if ($user) {

  // Getting Results using Graph Api.
  try {
    // Proceed knowing you have a logged in user who's authenticated.
    $userProfile = $facebook->api('/me');
    // Getting the User Likes
    $userLikes = $facebook->api('/me/likes');
    // Applying the field and connections, (Getting bio and photos limited to 2)
    $fieldConnections=$facebook->api('me/?fields=bio,photos.limit(2)');
    // Processing the Likes array to the like name only
    foreach ($userLikes['data'] as $key => $value) {
      $likedNames[]=$value['name'];
    }
    // Processing the fieldConnections to get the photo url only
    $processedFields=array();
    $processedFields['bio']=$fieldConnections['bio']; 
    foreach ($fieldConnections['photos']['data'] as $key => $value) {
      $processedFields['photos'][]= $value['source'];
    }
  } catch (FacebookApiException $e) {
    error_log($e);
    $user = null;
  }
 // Getting Results using FQL Query
  try{
    // Fql query to get the user details
    $fql1    =   "select name, about_me, age_range, sex,pic_square from user where uid=" . $user;
    $param  =   array(
      'method'    => 'fql.query',
      'query'     => $fql1,
      'callback'  => ''
      );
    $fqlOutput   =   $facebook->api($param);
    // Fql Query to get the user movies and music.
    $fql2    =   "select movies, music from user where uid=" . $user;
    $param  =   array(
      'method'    => 'fql.query',
      'query'     => $fql2,
      'callback'  => ''
      );
    $fqlMovies  =   $facebook->api($param);
  }
  catch(Exception $output){
   print_r($output);
 }
}
?>
<!doctype html>
<style type="text/css">
.widget{
  margin: 4px;
  border: 2px solid #60729b;
  padding: 4px;
  width: 550px;
  height: 250px;
  overflow:auto;
  background-color: #D1D0CE;
}
.widget2{
  margin: 4px;
  border: 2px solid #60729b;
  padding: 4px;
  width: 1100px;
  height: 300px;
  overflow:auto;
  background-color: #D1D0CE;
}
</style>
<head>
  <title> How to make a facebook application using graph api and FQL - Php SDK-(Version 3.2.2)</title>
</head>
<html xmlns:fb="http://www.facebook.com/2008/fbml">
<body>
  <?php if ($user){ ?>
  <a href="<?php echo $logoutUrl; ?>">Logout</a>
<?php } ?>
<?php if ($user){ ?>
  <h3>You</h3>
  <img src="https://graph.facebook.com/<?php echo $user; ?>/picture">

  <table >     

<h2 style="color:#FF0040"> Results fetched via Graph API</h2>
    <tr>

      <td>  <div class="widget">
        <h3 > Using Profile Using Graph api </h3>
        <pre>  <?php print_r($userProfile); ?></pre> </div> </td>
        <td> <div class="widget"><h3>User Likes using Graph api </h3><pre><?php print_r($likedNames); ?></pre> </div></td>
      </tr>
    </table>
    <table>
      <tr >
        <td > <div class="widget2">

         <h2>Field and Connections </h2>
         <h3 style="color:#FF0040"> Bio and Photos (proccessed output) </h3>

         <b>Bio:</b> <?php echo $processedFields['bio']; ?> </br>
         <b>Photos:</b>
         <?php foreach ($processedFields['photos'] as $key => $value) {
           echo "<img src='$value' width='100' height='100'>"; echo "&nbsp;";
         } ?> </br>

         <b> Links: </b>
         <ul>
          <?php foreach ($processedFields['photos'] as $key => $value) {
           echo "<li>".$value.'</li>';
         } ?>
       </ul>
         <h3 style="color:#FF0040"> Bio and Photos (Unproccessed output) </h3>
      <pre><?php print_r($fieldConnections); ?></pre>  </div></td>
     </tr>
   </table>
  <table>
    <h2 style="color:#FF0040"> Results fetched via FQL QUERY</h2>
    <tr>
      <td> <div class="widget">
        <h3> Using FQL Query</h3>
        <b> Profile Pic : </b>  <img src="<?php echo $fqlOutput[0]['pic_square']; ?>">
        <pre><?php print_r($fqlOutput); ?></pre> </div></td>
        <td> <div class="widget">
          <h3> User Movies and Music using FQL Query</h3>
          <pre><?php print_r($fqlMovies ); ?></pre> </div></td>
        </tr>
      </table>
    <?php } else { 
       echo "<script type='text/javascript'>top.location.href = '$loginUrl';</script>";
        exit;
      ?>
    <strong><em>You are not Connected.</em></strong>       
   
  <?php } ?>
</table>
<a href="http://dollarfry.com">Take Your Business Online</a>
</body>
</html>
